## org.apache.portals.bridges.util
Class NamespacedNamesEnumeration

    java.lang.Object
      org.apache.portals.bridges.util.NamespacedNamesEnumeration

All Implemented Interfaces:
  Enumeration

public class NamespacedNamesEnumeration
extends Object
implements Enumeration

Version:
  $Id: NamespacedNamesEnumeration.java 549659 2007-06-22 01:21:29Z ate $
Author:
  Ate Douma

Field Summary
`private boolean` `done`
`private Enumeration` `namesEnumeration`
`private String` `namespace`
`private String` `nextName`

Constructor Summary
`NamespacedNamesEnumeration(Enumeration namesEnumeration, String namespace)`

Method Summary
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namesEnumeration

    private Enumeration namesEnumeration

### namespace

    private String namespace

### nextName

    private String nextName

### done

    private boolean done

Constructor Detail

### NamespacedNamesEnumeration

    public NamespacedNamesEnumeration(Enumeration namesEnumeration,
                                      String namespace)

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.